# coding: utf-8

"""
    Prevision.io

    Prevision.io Studio APIs  # noqa: E501

    OpenAPI spec version: 1.0.5
    Contact: web@prevision.io
    Generated by: https://github.com/swagger-api/swagger-codegen.git
"""

import pprint
import re  # noqa: F401

import six

class ProjectsprojectIdpipelinetemplatesNodes(object):
    """NOTE: This class is auto generated by the swagger code generator program.

    Do not edit the class manually.
    """
    """
    Attributes:
      swagger_types (dict): The key is attribute name
                            and the value is attribute type.
      attribute_map (dict): The key is attribute name
                            and the value is json key in definition.
    """
    swagger_types = {
        'properties': 'ProjectsprojectIdpipelinetemplatesProperties',
        'graph_id': 'str'
    }

    attribute_map = {
        'properties': 'properties',
        'graph_id': 'graph_id'
    }

    def __init__(self, properties=None, graph_id=None):  # noqa: E501
        """ProjectsprojectIdpipelinetemplatesNodes - a model defined in Swagger"""  # noqa: E501
        self._properties = None
        self._graph_id = None
        self.discriminator = None
        if properties is not None:
            self.properties = properties
        if graph_id is not None:
            self.graph_id = graph_id

    @property
    def properties(self):
        """Gets the properties of this ProjectsprojectIdpipelinetemplatesNodes.  # noqa: E501


        :return: The properties of this ProjectsprojectIdpipelinetemplatesNodes.  # noqa: E501
        :rtype: ProjectsprojectIdpipelinetemplatesProperties
        """
        return self._properties

    @properties.setter
    def properties(self, properties):
        """Sets the properties of this ProjectsprojectIdpipelinetemplatesNodes.


        :param properties: The properties of this ProjectsprojectIdpipelinetemplatesNodes.  # noqa: E501
        :type: ProjectsprojectIdpipelinetemplatesProperties
        """

        self._properties = properties

    @property
    def graph_id(self):
        """Gets the graph_id of this ProjectsprojectIdpipelinetemplatesNodes.  # noqa: E501


        :return: The graph_id of this ProjectsprojectIdpipelinetemplatesNodes.  # noqa: E501
        :rtype: str
        """
        return self._graph_id

    @graph_id.setter
    def graph_id(self, graph_id):
        """Sets the graph_id of this ProjectsprojectIdpipelinetemplatesNodes.


        :param graph_id: The graph_id of this ProjectsprojectIdpipelinetemplatesNodes.  # noqa: E501
        :type: str
        """

        self._graph_id = graph_id

    def to_dict(self):
        """Returns the model properties as a dict"""
        result = {}

        for attr, _ in six.iteritems(self.swagger_types):
            value = getattr(self, attr)
            if isinstance(value, list):
                result[attr] = list(map(
                    lambda x: x.to_dict() if hasattr(x, "to_dict") else x,
                    value
                ))
            elif hasattr(value, "to_dict"):
                result[attr] = value.to_dict()
            elif isinstance(value, dict):
                result[attr] = dict(map(
                    lambda item: (item[0], item[1].to_dict())
                    if hasattr(item[1], "to_dict") else item,
                    value.items()
                ))
            else:
                result[attr] = value
        if issubclass(ProjectsprojectIdpipelinetemplatesNodes, dict):
            for key, value in self.items():
                result[key] = value

        return result

    def to_str(self):
        """Returns the string representation of the model"""
        return pprint.pformat(self.to_dict())

    def __repr__(self):
        """For `print` and `pprint`"""
        return self.to_str()

    def __eq__(self, other):
        """Returns true if both objects are equal"""
        if not isinstance(other, ProjectsprojectIdpipelinetemplatesNodes):
            return False

        return self.__dict__ == other.__dict__

    def __ne__(self, other):
        """Returns true if both objects are not equal"""
        return not self == other
